libzypp 17.38.15

SolvableSpec Class Reference

Define a set of Solvables by ident and provides. More...

`#include <zypp/sat/SolvableSpec.h>`

## Detailed Description

Define a set of Solvables by ident and provides.

Able to keep the definition of solvable sets like in 'needreboot' or 'multiversion'. The associated file parser allows reading stored definitions (one IDENT or provides:CAPABILITY` per line; empty lines and lines starting with '#' are ignored).

The use of provides requires re-computation of the solvable set, whenever the solvable pool changes. This computation via WhatProvides is expensive, that's why a built in cache is also offered.

Note
  contains does not match srcpackage: per default. //////////////////////////////////////////////////////////////// class SolvableSpec */ { public: /** Default ctor

The documentation for this class was generated from the following file:

- zypp/sat/SolvableSpec.h